"""
# Copyright (C) 2013-2016 Stray <stray411@hotmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For questions regarding this module contact
# Stray <stray411@hotmail.com>
"""

# emacs-mode: -*- python-*-
# -*- coding: utf-8 -*-

from _Framework.MixerComponent import MixerComponent as MixerComponentBase

class MixerComponent(MixerComponentBase):
    " Extended MixerComponent for use with 9.1.3 or later. Needed due to removal of TrackEQComponent in 9.1.3. "
    __module__ = __name__

    def __init__(self, num_tracks, *a, **k):
        self._track_eqs = []
        super(MixerComponent, self).__init__(num_tracks, *a, **k)

        
    def track_eq(self, index):
        assert index in range(len(self._track_eqs)) 
        return self._track_eqs[index]

# local variables:
# tab-width: 4