"""
# Copyright (C) 2013-2016 Stray <stray411@hotmail.com>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# For questions regarding this module contact
# Stray <stray411@hotmail.com>
"""

# emacs-mode: -*- python-*-
# -*- coding: utf-8 -*-

from TrackEQComponent import TrackEQComponent

EQ_DEVICES = {'Eq8': {'Gains': [ ('%i Gain A' % (index + 1)) for index in range(8) ]},
 'FilterEQ3': {'Gains': ['GainLo',
                         'GainMid',
                         'GainHi'],
               'Cuts': ['LowOn',
                        'MidOn',
                        'HighOn']}}

class SMEQ(TrackEQComponent):
    "  Modified TrackEQComponent that works with EQs nested in racks. "
    __module__ = __name__

    def __init__(self, parent):
	self._parent = parent
        TrackEQComponent.__init__(self)
	
    
    def _on_devices_changed(self):
	""" Modified to not set device to use. """
        if (self._device != None):
            device_dict = EQ_DEVICES[self._device.class_name]
            if ('Cuts' in device_dict.keys()):
                cut_names = device_dict['Cuts']
                for cut_name in cut_names:
                    parameter = get_parameter_by_name(self._device, cut_name)
                    if ((parameter != None) and parameter.value_has_listener(self._on_cut_changed)):
                        parameter.remove_value_listener(self._on_cut_changed)
	
	
    def on_devices_changed(self, device_list):
	""" This gets called from the SMMixer on device changes to set the device to use. """
        self._device = None
        for device in device_list:
	    if (device.class_name in EQ_DEVICES.keys()):
		self._device = device
		break
        self.update()
 		
# local variables:
# tab-width: 4